deltacloud-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Koper, Dies" <di...@fast.au.fujitsu.com>
Subject new travis error - be careful if you do a bundle install
Date Mon, 03 Jun 2013 12:11:24 GMT
FYI, I just noticed a new travis error after pushing a patch:

[ rake test:cimi ]
[DEPRECATION] Defaulting to json library for json parsing. Please
consider using multi_json library for the greatest
performance/flexibility.
18 cloud providers loaded.
SEQUEL DEPRECATION WARNING: The Model after_initialize hook is
deprecated and will be removed in Sequel 4.0.  Please use the
after_initialize plugin to continue using the hook.
/home/travis/.rvm/gems/ruby-1.9.3-p327/gems/sequel-3.48.0/lib/sequel/mod
el/base.rb:735:in `block in check_deprecated_after_initialize'
/home/travis/.rvm/gems/ruby-1.9.3-p327/gems/sequel-3.48.0/lib/sequel/mod
el/base.rb:734:in `each'
/home/travis/.rvm/gems/ruby-1.9.3-p327/gems/sequel-3.48.0/lib/sequel/mod
el/base.rb:734:in `check_deprecated_after_initialize'
/home/travis/.rvm/gems/ruby-1.9.3-p327/gems/sequel-3.48.0/lib/sequel/mod
el/base.rb:419:in `method_added'
/home/travis/build/deltacloud/deltacloud-core/server/lib/db/entity.rb:46
:in `<class:Entity>'
/home/travis/build/deltacloud/deltacloud-core/server/lib/db/entity.rb:19
:in `<module:Database>'

Looks like a new version of Sequel is out that is not backwards
compatible.

Regards,
Dies Koper



Mime
View raw message